/***********************************************************************/
/*                                                                     */
/*  PROJECT		  :FTF Design Challenge Europe 2008   	                 */
/*  AUTHOR      :Carlos Cossio                                         */
/*  FILE        :Relay.h                                               */
/*  DATE        :June 21, 2008                                         */
/*  DESCRIPTION :Defines and function prototipes                       */
/*                                                                     */
/***********************************************************************/


#ifndef _RELAY_H
#define _RELAY_H


#include "MC9S08QE128.h"


#define RELAY_OPEN            0
#define RELAY_CLOSED          1
#define RELAY_INPUT           0
#define RELAY_OUTPUT          1
#define RELAY_HIGH            1
#define RELAY_LOW             0
#define RELAY_STRONG          1
#define RELAY_WEAK            0
#define RELAY_SET             PTBD_PTBD0
#define RELAY_RESET           PTBD_PTBD1
#define RELAY_SET_GPIO		    PTBDD_PTBDD0
#define RELAY_RESET_GPIO	    PTBDD_PTBDD1
#define RELAY_SET_STRENGTH    PTBDS_PTBDS0
#define RELAY_RESET_STRENGTH  PTBDS_PTBDS1


void Relay_Init (void);
void Relay_Open (void);
void Relay_Closed (void);
unsigned char Relay_Mode (void);


#pragma DATA_SEG DEFAULT


#endif
