/***********************************************************************/
/*                                                                     */
/*  PROJECT		  :FTF Design Challenge Europe 2008   	                 */
/*  AUTHOR      :Carlos Cossio                                         */
/*  FILE        :main.c                                                */
/*  DATE        :June 21, 2008                                         */
/*  DESCRIPTION :'Bye Bye Standby' main dispatcher                     */
/*                                                                     */
/***********************************************************************/
 

#include "ByeByeStandby.h"


/******************************************************************************
Name       : main
Author     : Carlos Cossio
Parameters : None
Returns    : None
Description: Main program
******************************************************************************/
void main(void)
{ 
  ByeByeStandby_Init();							  // Initialize ByeByeStandby hardware
  ByeByeStandby_Welcome();            // Startup welcome signal
  
  for (;;) {
    switch (ByeByeStandby_Mode()) {
    
      case BYE_BYE_STANDBY_OFF:       // ByeByeStandby is switched off
	      if (ByeByeStandby_InfraredRemoteControlKeyPressed())    
	        ByeByeStandby_On();         // Turn on peripheral attached
	      break;
	    
      case BYE_BYE_STANDBY_ON:        // ByeByeStandby is switched on
	      if (ByeByeStandby_PeripheralInStandbyMode())
	        ByeByeStandby_Off();	      // Turn off peripheral attached
	      break;
	      
	    default:
	      break;
    }
	    
	  ByeByeStandby_Sleep();            // Enter low-power mode 	  
	}
}
